using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text;

namespace WebList
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void btnTest_Click(object sender, EventArgs e)
        {
            // Obtain the data from the Text property of txtSelections
            // and place it in Output using TheEntry as a temporary variable.
            var Output = from TheEntry
                         in txtSelections.Text.Split(new Char[] {'\n', '\r'})
                         where TheEntry != ""
                         select TheEntry.ToUpper();

            // Convert Output to a String.
            StringBuilder OutputAsString = new StringBuilder();
            foreach (String Item in Output)
            {
                OutputAsString.Append(Item);
                OutputAsString.Append("\r\n");
            }

            // Place the contents of OutputAsString into the Text property of
            // txtOutput.
            txtOutput.Text = OutputAsString.ToString();
        }
    }
}
